# Uses of Interface
org.eclipse.emf.cdo.common.lob.CDOLobStore

Packages that use CDOLobStore
Package
Description
org.eclipse.emf.cdo.common.lob
Common concepts for dealing with large binary objects and large character objects.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.spi.common
Common service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOLobStore in org.eclipse.emf.cdo.common.lob

Classes in org.eclipse.emf.cdo.common.lob that implement CDOLobStore
Modifier and Type
Class
Description
`static class`
`CDOLobStore.Delegating`
An abstract `large object store` that delegates all method calls to a delegate.
Methods in org.eclipse.emf.cdo.common.lob that return CDOLobStore
Modifier and Type
Method
Description
`protected abstract CDOLobStore`
CDOLobStore.Delegating.`getDelegate()`
`final CDOLobStore`
CDOLob.`getStore()`
Methods in org.eclipse.emf.cdo.common.lob with parameters of type CDOLobStore
Modifier and Type
Method
Description
`static void`
CDOLobUtil.`setStore(CDOLobStore store, CDOLob<?> lob)`
Constructors in org.eclipse.emf.cdo.common.lob with parameters of type CDOLobStore
Modifier
Constructor
Description
``
`CDOBlob(byte[] contents, CDOLobStore store)`
``
`CDOBlob(InputStream contents, CDOLobStore store)`
``
`CDOBlob(String contents, CDOLobStore store)`
``
`CDOClob(Reader contents, CDOLobStore store)`
``
`CDOClob(String contents, CDOLobStore store)`

## Uses of CDOLobStore in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDOLobStore
Modifier and Type
Method
Description
`static CDODataInput`
CDOCommonUtil.`createCDODataInput(org.eclipse.net4j.util.io.ExtendedDataInputStream inputStream, CDOPackageRegistry packageRegistry, CDOBranchManager branchManager, CDOCommitInfoManager commitManager, CDORevisionFactory revisionFactory, CDOListFactory listFactory, CDOLobStore lobStore)`

## Uses of CDOLobStore in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOLobStore
Modifier and Type
Method
Description
`CDOLobStore`
CDOSession.Options.`getLobCache()`
Returns the `large object cache` currently being used by this session.
Methods in org.eclipse.emf.cdo.session with parameters of type CDOLobStore
Modifier and Type
Method
Description
`void`
CDOSession.Options.`setLobCache(CDOLobStore lobCache)`
Sets the `large object cache` to be used by this session.

## Uses of CDOLobStore in org.eclipse.emf.cdo.spi.common

Classes in org.eclipse.emf.cdo.spi.common that implement CDOLobStore
Modifier and Type
Class
Description
`class`
`CDOLobStoreImpl`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDOLobStore in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOLobStore
Modifier and Type
Method
Description
`protected CDOLobStore`
CDODataInputImpl.Default.`getLobStore()`
`protected abstract CDOLobStore`
CDODataInputImpl.`getLobStore()`

## Uses of CDOLobStore in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOLobStore
Modifier and Type
Method
Description
`CDOLobStore`
InternalCDOSession.`getLobStore()`